0

I have moved over from mint to elementary Freya on my main laptop and it is working as well, if not better in some ways than mint.

I have 1 main issue that I have tried in vain to fix.

With elementary Freya as the host I cannot get virtualbox to install and work correctly. If I install from the software centre, virtualbox 4.3.10 installs, an icon appears in Applications-Accessories and virtual box opens.

I can then create a virtual machine but when the virtual machine is started i get the following error.

Error message from virtualbox

Any help in solving this would be much appreciated

  • Did you try to reinstall the kernel driver as stated in the error message? – Rafael Oct 2 '15 at 9:53
3

I have tried a few solutions from askubuntu.com but none of them have work for me.

So, the easiest solution seems to be to install the latest version of virtualbox from the official website. https://www.virtualbox.org/wiki/Linux_Downloads

0

Have managed to fix the issue by installing virtualbox directly from their website as suggested above (Thanks).

After install the ICon was incorrect and did not appear in applications drop down but a reboot fixed this issue too. Virtualbox now appears in System tools drop-down and works correctly.

  • 2
    So, I'd suggest you mark Olivier Lasne's answer as solution, that way other users can easily find it. – Rafael Oct 4 '15 at 15:54
0

I have solved the issue by running following commands:

sudo apt-get install dkms
sudo /etc/init.d/vboxdrv setup # message in error popup. 

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.